package com.ym.mec.biz.dal.page;

import io.swagger.annotations.ApiModelProperty;

import com.ym.mec.common.page.QueryInfo;

public class SysMessageQueryInfo extends QueryInfo {

	/** 状态，0,待发送;1,发送中;2,发送完成 */
	@ApiModelProperty(value = "状态，0,待发送;1,发送中;2,发送完成 ",required = false)
	private Integer status;

	@ApiModelProperty(value = "接收人编号",required = false)
	private String receiver;

	@ApiModelProperty(value = "发送人编号",required = false)
	private Integer userId;

	@ApiModelProperty(value = "标题",required = false)
	private String title;

	@ApiModelProperty(value = "消息类型；1，表示短信；2，表示邮件; 3,app推送消息",required = false)
	private Integer type;

	public Integer getStatus() {
		return status;
	}

	public void setStatus(Integer status) {
		this.status = status;
	}

	public String getReceiver() {
		return receiver;
	}

	public void setReceiver(String receiver) {
		this.receiver = receiver;
	}

	public Integer getUserId() {
		return userId;
	}

	public void setUserId(Integer userId) {
		this.userId = userId;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public Integer getType() {
		return type;
	}

	public void setType(Integer type) {
		this.type = type;
	}

}
